
cache: &global_cache
  key: ${CI_COMMIT_REF_SLUG}
  paths:
    - node_modules/
    - public/
    - .cache/
  policy: pull-push

stages:
  - build


build:

  stage: build
  image: node:14

  # This folder is cached between builds
  # http://docs.gitlab.com/ce/ci/yaml/README.html#cache
  cache:
    <<: *global_cache
    # override the policy
    policy: pull

  script:
    - npm install
    - ./node_modules/.bin/gatsby build --prefix-paths
    - curl "https://awscli.amazonaws.com/awscli-exe-linux-x86_64.zip" -o "/tmp/awscliv2.zip"
    - cd /tmp && unzip /tmp/awscliv2.zip
    - cd /tmp && ./aws/install
    - cd $CI_PROJECT_DIR
    - aws s3 sync public/ s3://nouvelleville-static-website/ --cache-control=max-age=300
  only:
    - master
